> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Detach phone number from an outbound agent

DELETE https://api.synthflow.ai/v2/assistants/{model_id}/phone_numbers/{phone_number_slug}

Remove one attached outbound phone number from an agent.

Reference: https://docs.synthflow.ai/api-reference/platform-api/agents/detach-phone-number-from-assistant

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /assistants/{model_id}/phone_numbers/{phone_number_slug}:
    delete:
      operationId: detach-phone-number-from-assistant
      summary: Detach phone number from an outbound agent
      description: Remove one attached outbound phone number from an agent.
      tags:
        - ''
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/model_id'
        - name: phone_number_slug
          in: path
          description: Phone number slug to remove from the agent.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/detach-phone-number-from-assistant_Response_200
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Detach-phone-number-from-assistantRequestBadRequestError
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Detach-phone-number-from-assistantRequestNotFoundError
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
  - url: https://api.eu.synthflow.ai/v2
components:
  schemas:
    model_id:
      type: string
      description: Agent ID. You can find it on the agent’s page in your dashboard.
      title: model_id
    detach-phone-number-from-assistant_Response_200:
      type: object
      properties:
        status:
          type: string
      title: detach-phone-number-from-assistant_Response_200
    AssistantsModelIdPhoneNumbersPhoneNumberSlugDeleteResponsesContentApplicationJsonSchemaDetail:
      type: object
      properties:
        status:
          type: string
        description:
          type: string
        request_id:
          type: string
        category:
          type: string
      required:
        - status
        - description
        - request_id
        - category
      title: >-
        AssistantsModelIdPhoneNumbersPhoneNumberSlugDeleteResponsesContentApplicationJsonSchemaDetail
    Detach-phone-number-from-assistantRequestBadRequestError:
      type: object
      properties:
        detail:
          $ref: >-
            #/components/schemas/AssistantsModelIdPhoneNumbersPhoneNumberSlugDeleteResponsesContentApplicationJsonSchemaDetail
      title: Detach-phone-number-from-assistantRequestBadRequestError
    Detach-phone-number-from-assistantRequestNotFoundError:
      type: object
      properties:
        detail:
          $ref: >-
            #/components/schemas/AssistantsModelIdPhoneNumbersPhoneNumberSlugDeleteResponsesContentApplicationJsonSchemaDetail
      title: Detach-phone-number-from-assistantRequestNotFoundError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python detach-phone-number-from-assistant_example
import requests

url = "https://api.synthflow.ai/v2/assistants/model_id/phone_numbers/16286666348"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```go detach-phone-number-from-assistant_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/assistants/model_id/phone_numbers/16286666348"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby detach-phone-number-from-assistant_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/assistants/model_id/phone_numbers/16286666348")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java detach-phone-number-from-assistant_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.synthflow.ai/v2/assistants/model_id/phone_numbers/16286666348")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp detach-phone-number-from-assistant_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/assistants/model_id/phone_numbers/16286666348");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift detach-phone-number-from-assistant_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/assistants/model_id/phone_numbers/16286666348")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```